#!/bin/sh

if [ -f 64Malibu-LinuxPeriphLib*.gz ]; then
      echo "Installing Malibu Libraries and Source"
      tar -zxvf 64Malibu-LinuxPeriphLib*.gz --directory=/usr/Innovative/Malibu
else
      echo "64Malibu-LinuxPeriphLib gz file is missing"
      exit -1;
fi

if [ -f 64Driver*.gz ]; then
      echo "Extracting Driver Files"
      mkdir /usr/Innovative/Driver
      tar -zxvf 64Driver*.gz --directory=/usr/Innovative/Driver
else
      echo "Driver gz file is missing"
      exit -1;
fi

if [ -f Ipp9_redist.tar ]; then
      echo "Extracting Ipp-9.0"
      tar -xvf Ipp9_redist.tar
	  cd /usr/Innovative/Ipp-9.0
	  ./install.sh -i /usr/Innovative/Ipp-9.0 --eula
else
      echo "Ipp-9.0 missing"
      exit -1;
fi

cd /usr/Innovative/

if [ -f 64Applets*.gz ]; then
      echo "Installing Applets"
      mkdir /usr/Innovative/Applets
	  tar -zxvf 64Applets*.gz --directory=/usr/Innovative/Applets
fi

if [ -f 64Examples*.gz ]; then
      echo "Installing Examples"
      mkdir /usr/Innovative/Examples
	  tar -zxvf 64Examples*.gz --directory=/usr/Innovative/Examples
fi

#Install Atropos if available
if [ -f 64Atropos*.gz ]; then
      echo "Installing Atropos"
      mkdir /usr/Innovative/Atropos
	  tar -zxvf 64Atropos*.gz --directory=/usr/Innovative/Atropos
fi

if [ -f Atropos_Firmware.zip ]; then
      echo "Installing Atropos Firmware"
      unzip -u Atropos_Firmware.zip -d /usr/Innovative/Atropos
fi

#Install Digital_Receiver_K701 if available
if [ -f 64Digital_Receiver_K701*.gz ]; then
      echo "Installing Digital_Receiver_K701"
      mkdir /usr/Innovative/Digital_Receiver_K701
	  tar -zxvf 64Digital_Receiver_K701*.gz --directory=/usr/Innovative/Digital_Receiver_K701
fi

if [ -f Digital_Receiver_K701_Firmware.zip ]; then
      echo "Installing Digital_Receiver_K701 Firmware"
      unzip -u Digital_Receiver_K701_Firmware.zip -d /usr/Innovative/Digital_Receiver_K701
fi

#Install Digital_Receiver_K702 if available
if [ -f 64Digital_Receiver_K702*.gz ]; then
      echo "Installing Digital_Receiver_K702"
      mkdir /usr/Innovative/Digital_Receiver_K702
	  tar -zxvf 64Digital_Receiver_K702*.gz --directory=/usr/Innovative/Digital_Receiver_K702
fi

if [ -f Digital_Receiver_K702_Firmware.zip ]; then
      echo "Installing Digital_Receiver_K702 Firmware"
      unzip -u Digital_Receiver_K702_Firmware.zip -d /usr/Innovative/Digital_Receiver_K702
fi

#Install Digital_Receiver_K707 if available
if [ -f 64Digital_Receiver_K707*.gz ]; then
      echo "Installing Digital_Receiver_K707"
      mkdir /usr/Innovative/Digital_Receiver_K707
	  tar -zxvf 64Digital_Receiver_K707*.gz --directory=/usr/Innovative/Digital_Receiver_K707
fi

if [ -f Digital_Receiver_K707_Firmware.zip ]; then
      echo "Installing Digital_Receiver_K707 Firmware"
      unzip -u Digital_Receiver_K707_Firmware.zip -d /usr/Innovative/Digital_Receiver_K707
fi

#Install Digital_Receiver_K708 if available
if [ -f 64Digital_Receiver_K708*.gz ]; then
      echo "Installing Digital_Receiver_K708"
      mkdir /usr/Innovative/Digital_Receiver_K708
	  tar -zxvf 64Digital_Receiver_K708*.gz --directory=/usr/Innovative/Digital_Receiver_K708
fi

if [ -f Digital_Receiver_K708_Firmware.zip ]; then
      echo "Installing Digital_Receiver_K708 Firmware"
      unzip -u Digital_Receiver_K708_Firmware.zip -d /usr/Innovative/Digital_Receiver_K708
fi


#Install Digital_Receiver_V611 if available
if [ -f 64Digital_Receiver_V611*.gz ]; then
      echo "Installing Digital_Receiver_V611"
      mkdir /usr/Innovative/Digital_Receiver_V611
	  tar -zxvf 64Digital_Receiver_V611*.gz --directory=/usr/Innovative/Digital_Receiver_V611
fi

if [ -f Digital_Receiver_V611_Firmware.zip ]; then
      echo "Installing Digital_Receiver_V611 Firmware"
      unzip -u Digital_Receiver_V611_Firmware.zip -d /usr/Innovative/Digital_Receiver_V611
fi

#Install Digital_Receiver_V612 if available
if [ -f 64Digital_Receiver_V612*.gz ]; then
      echo "Installing Digital_Receiver_V612"
      mkdir /usr/Innovative/Digital_Receiver_V612
	  tar -zxvf 64Digital_Receiver_V612*.gz --directory=/usr/Innovative/Digital_Receiver_V612
fi

if [ -f Digital_Receiver_V612_Firmware.zip ]; then
      echo "Installing Digital_Receiver_V612 Firmware"
      unzip -u Digital_Receiver_V612_Firmware.zip -d /usr/Innovative/Digital_Receiver_V612
fi

#Install Digital_Receiver_V613 if available
if [ -f 64Digital_Receiver_V613*.gz ]; then
      echo "Installing Digital_Receiver_V613"
      mkdir /usr/Innovative/Digital_Receiver_V613
	  tar -zxvf 64Digital_Receiver_V613*.gz --directory=/usr/Innovative/Digital_Receiver_V613
fi

if [ -f Digital_Receiver_V613_Firmware.zip ]; then
      echo "Installing Digital_Receiver_V613 Firmware"
      unzip -u Digital_Receiver_V613_Firmware.zip -d /usr/Innovative/Digital_Receiver_V613
fi

#Install Digital_Receiver_V614 if available
if [ -f 64Digital_Receiver_V614*.gz ]; then
      echo "Installing Digital_Receiver_V614"
      mkdir /usr/Innovative/Digital_Receiver_V614
	  tar -zxvf 64Digital_Receiver_V614*.gz --directory=/usr/Innovative/Digital_Receiver_V614
fi

if [ -f Digital_Receiver_V614_Firmware.zip ]; then
      echo "Installing Digital_Receiver_V614 Firmware"
      unzip -u Digital_Receiver_V614_Firmware.zip -d /usr/Innovative/Digital_Receiver_V614
fi

#Install Digital_Transceiver_V615 if available
if [ -f 64Digital_Transceiver_V615*.gz ]; then
      echo "Installing Digital_Transceiver_V615"
      mkdir /usr/Innovative/Digital_Transceiver_V615
	  tar -zxvf 64Digital_Transceiver_V615*.gz --directory=/usr/Innovative/Digital_Transceiver_V615
fi

if [ -f Digital_Transceiver_V615_Firmware.zip ]; then
      echo "Installing Digital_Transceiver_V615 Firmware"
      unzip -u Digital_Transceiver_V615_Firmware.zip -d /usr/Innovative/Digital_Transceiver_V615
fi

#Install Digital_Transceiver_V616 if available
if [ -f 64Digital_Transceiver_V616*.gz ]; then
      echo "Installing Digital_Transceiver_V616"
      mkdir /usr/Innovative/Digital_Transceiver_V616
	  tar -zxvf 64Digital_Transceiver_V616*.gz --directory=/usr/Innovative/Digital_Transceiver_V616
fi

if [ -f Digital_Transceiver_V616_Firmware.zip ]; then
      echo "Installing Digital_Transceiver_V616 Firmware"
      unzip -u Digital_Transceiver_V616_Firmware.zip -d /usr/Innovative/Digital_Transceiver_V616
fi

#Install PEX6-COP if available
if [ -f 64PEX6-COP*.gz ]; then
      echo "Installing PEX6-COP"
      mkdir /usr/Innovative/PEX6-COP
	  tar -zxvf 64PEX6-COP*.gz --directory=/usr/Innovative/PEX6-COP
fi

if [ -f PEX6-COP_Firmware.zip ]; then
      echo "Installing PEX6-COP Firmware"
      unzip -u PEX6-COP_Firmware.zip -d /usr/Innovative/PEX6-COP
fi

#Install Sbc-ComEx if available
if [ -f 64Sbc-ComEx*.gz ]; then
      echo "Installing Sbc-ComEx"
      mkdir /usr/Innovative/Sbc-ComEx
	  tar -zxvf 64Sbc-ComEx*.gz --directory=/usr/Innovative/Sbc-ComEx
fi

if [ -f Sbc-ComEx_Firmware.zip ]; then
      echo "Installing Sbc-ComEx Firmware"
      unzip -u Sbc-ComEx_Firmware.zip -d /usr/Innovative/Sbc-ComEx
fi

#Install Sbc-Duo if available
if [ -f 64Sbc-Duo*.gz ]; then
      echo "Installing Sbc-Duo"
      mkdir /usr/Innovative/Sbc-Duo
	  tar -zxvf 64Sbc-Duo*.gz --directory=/usr/Innovative/Sbc-Duo
fi

if [ -f Sbc-Duo_Firmware.zip ]; then
      echo "Installing Sbc-Duo Firmware"
      unzip -u Sbc-Duo_Firmware.zip -d /usr/Innovative/Sbc-Duo
fi

#Install Sbc-K7 if available
if [ -f 64Sbc-K7*.gz ]; then
      echo "Installing Sbc-K7"
      mkdir /usr/Innovative/Sbc-K7
	  tar -zxvf 64Sbc-K7*.gz --directory=/usr/Innovative/Sbc-K7
fi

if [ -f SBC-K7_Firmware.zip ]; then
      echo "Installing SBC-K7 Firmware"
      unzip -u SBC-K7_Firmware.zip -d /usr/Innovative/Sbc-K7
fi

#Install Vpx-ComEx if available
if [ -f 64Vpx-ComEx*.gz ]; then
      echo "Installing Vpx-ComEx"
      mkdir /usr/Innovative/Vpx-ComEx
	  tar -zxvf 64Vpx-ComEx*.gz --directory=/usr/Innovative/Vpx-ComEx
fi

if [ -f VPX-ComEx_Firmware.zip ]; then
      echo "Installing VPX-ComEx Firmware"
      unzip -u VPX-ComEx_Firmware.zip -d /usr/Innovative/Vpx-ComEx
fi

#Install X3-2M if available
if [ -f 64X3-2M*.gz ]; then
      echo "Installing X3-2M"
      mkdir /usr/Innovative/X3-2M
	  tar -zxvf 64X3-2M*.gz --directory=/usr/Innovative/X3-2M
fi

if [ -f X3-2M_Firmware.zip ]; then
      echo "Installing X3-2M Firmware"
      unzip -u X3-2M_Firmware.zip -d /usr/Innovative/X3-2M
fi

#Install X3-10M if available
if [ -f 64X3-10M*.gz ]; then
      echo "Installing X3-10M"
      mkdir /usr/Innovative/X3-10M
	  tar -zxvf 64X3-10M*.gz --directory=/usr/Innovative/X3-10M
fi

if [ -f X3-10M_Firmware.zip ]; then
      echo "Installing X3-10M Firmware"
      unzip -u X3-10M_Firmware.zip -d /usr/Innovative/X3-10M
fi

#Install X3-25M if available
if [ -f 64X3-25M*.gz ]; then
      echo "Installing X3-25M"
      mkdir /usr/Innovative/X3-25M
	  tar -zxvf 64X3-25M*.gz --directory=/usr/Innovative/X3-25M
fi

if [ -f X3-25M_Firmware.zip ]; then
      echo "Installing X3-25M Firmware"
      unzip -u X3-25M_Firmware.zip -d /usr/Innovative/X3-25M
fi

#Install X3-A4D4 if available
if [ -f 64X3-A4D4*.gz ]; then
      echo "Installing X3-A4D4"
      mkdir /usr/Innovative/X3-A4D4
	  tar -zxvf 64X3-A4D4*.gz --directory=/usr/Innovative/X3-A4D4
fi

if [ -f X3-A4D4_Firmware.zip ]; then
      echo "Installing X3-A4D4 Firmware"
      unzip -u X3-A4D4_Firmware.zip -d /usr/Innovative/X3-A4D4
fi

#Install X3-DIO if available
if [ -f 64X3-DIO*.gz ]; then
      echo "Installing X3-DIO"
      mkdir /usr/Innovative/X3-DIO
	  tar -zxvf 64X3-DIO*.gz --directory=/usr/Innovative/X3-DIO
fi

if [ -f X3-DIO_Firmware.zip ]; then
      echo "Installing X3-DIO Firmware"
      unzip -u X3-DIO_Firmware.zip -d /usr/Innovative/X3-DIO
fi

#Install X3-SD if available
if [ -f 64X3-SD16*.gz ]; then
      echo "Installing X3-SD16"
      mkdir /usr/Innovative/X3-SD16
	  tar -zxvf 64X3-SD16*.gz --directory=/usr/Innovative/X3-SD16
fi

if [ -f X3-SD_Firmware.zip ]; then
      echo "Installing X3-SD Firmware"
      unzip -u X3-SD_Firmware.zip -d /usr/Innovative/X3-SD16
fi

#Install X3-SDF if available
if [ -f 64X3-SDF*.gz ]; then
      echo "Installing X3-SDF"
      mkdir /usr/Innovative/X3-SDF
	  tar -zxvf 64X3-SDF*.gz --directory=/usr/Innovative/X3-SDF
fi

if [ -f X3-SDF_Firmware.zip ]; then
      echo "Installing X3-SDF Firmware"
      unzip -u X3-SDF_Firmware.zip -d /usr/Innovative/X3-SDF
fi

#Install X3-SD16 if available
if [ -f 64X3-SD16-*.gz ]; then
      echo "Installing X3-SD16-"
      mkdir /usr/Innovative/X3-SD16
	  tar -zxvf 64X3-SD16-*.gz --directory=/usr/Innovative/X3-SD16
fi

if [ -f X3-SD16_Firmware.zip ]; then
      echo "Installing X3-SD16 Firmware"
      unzip -u X3-SD16_Firmware.zip -d /usr/Innovative/X3-SD16
fi

#Install X3-Servo if available
if [ -f 64X3-Servo*.gz ]; then
      echo "Installing X3-Servo"
      mkdir /usr/Innovative/X3-Servo
	  tar -zxvf 64X3-Servo*.gz --directory=/usr/Innovative/X3-Servo
fi

if [ -f X3-Servo_Firmware.zip ]; then
      echo "Installing X3-Servo Firmware"
      unzip -u X3-Servo_Firmware.zip -d /usr/Innovative/X3-Servo
fi

#Install X3-Timing if available
if [ -f 64X3-Timing*.gz ]; then
      echo "Installing X3-Timing"
      mkdir /usr/Innovative/X3-Timing
	  tar -zxvf 64X3-Timing*.gz --directory=/usr/Innovative/X3-Timing
fi

if [ -f X3-Timing_Firmware.zip ]; then
      echo "Installing X3-Timing Firmware"
      unzip -u X3-Timing_Firmware.zip -d /usr/Innovative/X3-Timing
fi

#Install X5-210M if available
if [ -f 64X5-210M*.gz ]; then
      echo "Installing X5-210M"
      mkdir /usr/Innovative/X5-210M
	  tar -zxvf 64X5-210M*.gz --directory=/usr/Innovative/X5-210M
fi

if [ -f X5-210M_Firmware.zip ]; then
      echo "Installing X5-210M Firmware"
      unzip -u X5-210M_Firmware.zip -d /usr/Innovative/X5-210M
fi

#Install X5-400M if available
if [ -f 64X5-400M*.gz ]; then
      echo "Installing X5-400M"
      mkdir /usr/Innovative/X5-400M
	  tar -zxvf 64X5-400M*.gz --directory=/usr/Innovative/X5-400M
fi

if [ -f X5-400M_Firmware.zip ]; then
      echo "Installing X5-400M Firmware"
      unzip -u X5-400M_Firmware.zip -d /usr/Innovative/X5-400M
fi

#Install X5-COM if available
if [ -f 64X5-COM*.gz ]; then
      echo "Installing X5-COM"
      mkdir /usr/Innovative/X5-COM
	  tar -zxvf 64X5-COM*.gz --directory=/usr/Innovative/X5-COM
fi

if [ -f X5-COM_Firmware.zip ]; then
      echo "Installing X5-COM Firmware"
      unzip -u X5-COM_Firmware.zip -d /usr/Innovative/X5-COM
fi

#Install X5-G12 if available
if [ -f 64X5-G12*.gz ]; then
      echo "Installing X5-G12"
      mkdir /usr/Innovative/X5-G12
	  tar -zxvf 64X5-G12*.gz --directory=/usr/Innovative/X5-G12
fi

if [ -f X5-G12_Firmware.zip ]; then
      echo "Installing X5-G12 Firmware"
      unzip -u X5-G12_Firmware.zip -d /usr/Innovative/X5-G12
fi

#Install X5-GSPS if available
if [ -f 64X5-GSPS*.gz ]; then
      echo "Installing X5-GSPS"
      mkdir /usr/Innovative/X5-GSPS
	  tar -zxvf 64X5-GSPS*.gz --directory=/usr/Innovative/X5-GSPS
fi

if [ -f X5-GSPS_Firmware.zip ]; then
      echo "Installing X5-GSPS Firmware"
      unzip -u X5-GSPS_Firmware.zip -d /usr/Innovative/X5-GSPS
fi

#Install X5-RX if available
if [ -f 64X5-RX*.gz ]; then
      echo "Installing X5-RX"
      mkdir /usr/Innovative/X5-RX
	  tar -zxvf 64X5-RX*.gz --directory=/usr/Innovative/X5-RX
fi

if [ -f X5-RX_Firmware.zip ]; then
      echo "Installing X5-RX Firmware"
      unzip -u X5-RX_Firmware.zip -d /usr/Innovative/X5-RX
fi

#Install X5-TX if available
if [ -f 64X5-TX*.gz ]; then
      echo "Installing X5-TX"
      mkdir /usr/Innovative/X5-TX
	  tar -zxvf 64X5-TX*.gz --directory=/usr/Innovative/X5-TX
fi

if [ -f X5-TX_Firmware.zip ]; then
      echo "Installing X5-TX Firmware"
      unzip -u X5-TX_Firmware.zip -d /usr/Innovative/X5-TX
fi

#Install X6-250M if available
if [ -f 64X6-250M*.gz ]; then
      echo "Installing X6-250M"
      mkdir /usr/Innovative/X6-250M
	  tar -zxvf 64X6-250M*.gz --directory=/usr/Innovative/X6-250M
fi

if [ -f X6-250M_Firmware.zip ]; then
      echo "Installing X6-250M Firmware"
      unzip -u X6-250M_Firmware.zip -d /usr/Innovative/X6-250M
fi

#Install X6-400M if available
if [ -f 64X6-400M*.gz ]; then
      echo "Installing X6-400M"
      mkdir /usr/Innovative/X6-400M
	  tar -zxvf 64X6-400M*.gz --directory=/usr/Innovative/X6-400M
fi

if [ -f X6-400M_Firmware.zip ]; then
      echo "Installing X6-400M Firmware"
      unzip -u X6-400M_Firmware.zip -d /usr/Innovative/X6-400M
fi

#Install X6-1000M if available
if [ -f 64X6-1000M*.gz ]; then
      echo "Installing X6-1000M"
      mkdir /usr/Innovative/X6-1000M
	  tar -zxvf 64X6-1000M*.gz --directory=/usr/Innovative/X6-1000M
fi

if [ -f X6-1000M_Firmware.zip ]; then
      echo "Installing X6-1000M Firmware"
      unzip -u X6-1000M_Firmware.zip -d /usr/Innovative/X6-1000M/
fi

#Install X6-GSPS if available
if [ -f 64X6-GSPS*.gz ]; then
      echo "Installing X6-GSPS"
      mkdir /usr/Innovative/X6-GSPS
	  tar -zxvf 64X6-GSPS*.gz --directory=/usr/Innovative/X6-GSPS
fi

if [ -f X6-GSPS_Firmware.zip ]; then
      echo "Installing X6-GSPS Firmware"
      unzip -u X6-GSPS_Firmware.zip -d /usr/Innovative/X6-GSPS
fi

#Install X6-RX if available
if [ -f 64X6-RX*.gz ]; then
      echo "Installing X6-RX"
      mkdir /usr/Innovative/X6-RX
	  tar -zxvf 64X6-RX*.gz --directory=/usr/Innovative/X6-RX
fi

if [ -f X6-RX_Firmware.zip ]; then
      echo "Installing X6-RX Firmware"
      unzip -u X6-RX_Firmware.zip -d /usr/Innovative/X6-RX
fi




cd /usr/Innovative/Driver
./Setup